<%@page import="pe.siso.horario.Beans.Usuario"%>
<%@page import="java.util.Calendar"%>
<%@page import="pe.siso.horario.Beans.Docente"%>
<%@page import="java.util.ArrayList"%>
<%@page import="pe.siso.horario.Services.DocenteServices"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%   
        String codPeriodoH = request.getParameter("codPeriodoH");
        String nombrePeriodo = request.getParameter("nombrePeriodo");
        String codigoArea = request.getParameter("codigoArea");
        String nombreArea = request.getParameter("nombreArea");
        ArrayList<Docente> lista = new ArrayList<Docente>();
        DocenteServices servicios = new DocenteServices();        
        lista = servicios.listaDocentes();
        Docente docente = new Docente();
        

%>

<!DOCTYPE html>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
    </head>
    <body>
        <%
        
            HttpSession session_actual = request.getSession(true);
            Usuario usuario=(Usuario)session_actual.getAttribute("usuario");
//            
//            response.setContentType("application/vnd.ms-excel; ");
            response.setHeader("Content-Disposition","attachment; filename=DocenteDiponibilidadPlana.xls");
            
            String border="style='border:solid 0.5pt #000000;vertical-align:middle;'";
            String centrado="style='vertical-align:middle;' ";
            String borderColor="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#B5E0F5;'";
            String borderColorTitulo="style='border:solid 0.5pt #000000; vertical-align:middle; background-color:#006699; color:#FFFFFF;'";
            String estilo = "";
            
            Calendar cal1 = Calendar.getInstance();
           
            int dia = cal1.get(Calendar.DATE);
            int mes = cal1.get(Calendar.MONTH)+1;
            int hora = cal1.get(Calendar.HOUR_OF_DAY);
            int minuto = cal1.get(Calendar.MINUTE);
            int segundo = cal1.get(Calendar.SECOND);
            String diaAc = "";
            String mesAc = "";
            String hrAc = "";
            String minAc = "";
            String secAc = "";

            int horaAc = 0;
            String perDia = "";

            if(dia<10){ diaAc = "0"+dia; }else{ diaAc = ""+dia;}

            if(mes<10){ mesAc = "0"+mes; }else{ mesAc = ""+mes; }

            if(minuto<10){ minAc = "0"+minuto; }else{ minAc = ""+minuto; }

            if(segundo<10){ secAc = "0"+segundo; }else{ secAc = ""+segundo; }

            if(hora<12){ 
             perDia="am."; 
             if(hora<10 && hora>0){
                 hrAc="0"+hora;
                 }else if(hora==0){
                     hrAc="12";
                 }else{
                     hrAc=""+hora; 
                 }  
             }else{
                 if(hora==12){
                     hrAc="12";
                 }else{
                     horaAc=hora-12;
                     if(horaAc<10){
                         hrAc="0"+horaAc;
                     }else{
                         hrAc = ""+horaAc;
                     }
                 }
                 perDia="pm.";
            }
           
        %>
        <table  cellpadding= '0' cellspacing= '0'>
            <tr>
                <td <%=centrado%> colspan='6' align='center'><h3>LISTADO DE DOCENTES CON DISPONIBILIDAD DE LA PLANA <%=nombreArea%> - <%=nombrePeriodo%></h3></td>
            </tr> 
            <tr>
                <td colspan='6' height='10'></td>
            </tr> 
            <tr>
                <td colspan='3' align='left'>ACTUALIZACIÓN: <%=diaAc+"-"+mesAc+"-"+cal1.get(Calendar.YEAR)+" "+hrAc+":"+minAc+":"+secAc+" "+perDia%></td>
                <td colspan='3' align='right'>SACO OLIVEROS - SISTEMAS</td>
            </tr> 
            <tr>
                <td colspan='3' >FUENTE: SISTEMA DE HORARIOS</td>
                <td colspan='3' align='right'>RESPONSABLE: <%=usuario!=null?usuario.getNombreTipoUsuario():""%></td>
            </tr> 
            <tr>

                <td <%=borderColorTitulo%> align='center'>N°</td>                                        
                <td <%=borderColorTitulo%> align='center'>APELLIDOS Y NOMBRES </td>
                <td <%=borderColorTitulo%> align='center' >PLANA</td>   
                <td <%=borderColorTitulo%> align='center'>DISTRITO</td>
                <td <%=borderColorTitulo%> align='center' width="150">TEL. CELULAR</td>
                <td <%=borderColorTitulo%> align='center' width="220">CORREO</td>
            </tr>
            <%
       int cont= 1;
       for(int i=0; i< lista.size(); i++) {
           
           if(cont%2==0){ 
               estilo=borderColor; 
           }else{
               estilo=border; 
           }
                
            String codigoDocente = lista.get(i).getCod_pro();
            String apellidos = lista.get(i).getApe_pro();
            String nombres = lista.get(i).getNom_pro();
            docente = servicios.consultarDatosDocenteConPlana(codigoDocente, codPeriodoH,codigoArea);
            String codDocente = docente.getCodigoDocente();
            
            if(codigoDocente.equals(codDocente)){
                
        %>
        <tr>
            <td <%=estilo%> align='center'><%=cont%></td>
            <td <%=estilo%>><%=apellidos%>, <%=nombres%></td>
            <td <%=estilo%>><%=docente.getNombrePlana()!=null?docente.getNombrePlana():""%></td>
            <td <%=estilo%>><%=docente.getNombreDDis()!=null?docente.getNombreDDis():""%></td>
            <td <%=estilo%> style='mso-number-format:"\@";'><%=docente.getCell()!=null?docente.getCell():""%></td>
            <td <%=estilo%>><%=docente.getCorreo()!=null?docente.getCorreo():""%></td>
        </tr>
        <%
                cont++;
            }
                
        }

                if(cont==1){
            %>
            <tr>
                <td  colspan='6' align='center' <%=border%>>No hay Docentes registrados</td>
            </tr>
            <%
                }
            %>

        </table>


    </body>

</html>
